#!/bin/bash

#check root
if [ "$(whoami)" == "root" ];then
echo "whoami:root"
else
echo "permirrors:"$(whoami)
echo "use root run shell"
exit
fi

#check selinux
sed -i 's/SELINUX=enforcing/SELINUX=disabled/g' /etc/selinux/config
sed -i 's/SELINUX=permissive/SELINUX=disabled/g' /etc/selinux/config
echo "selinux=disable"

#check firewall
systemctl stop firewalld
systemctl disable firewalld

#setting ip
IP_PATH=/etc/sysconfig/network-scripts/ifcfg-ens33
echo "TYPE=Ethernet" > $IP_PATH
echo "PROXY_METHOD=none" >> $IP_PATH
echo "BROWSER_ONLY=no" >> $IP_PATH
echo "BOOTPROTO=no" >> $IP_PATH
echo "DEFROUTE=yes" >> $IP_PATH
echo "NAME=ens33" >> $IP_PATH
echo "UUID=$(nmcli con show | tail -1 | awk '{print $2}')" >> $IP_PATH
echo "DEVICE=ens33" >> $IP_PATH
echo "ONBOOT=no" >> $IP_PATH
read -p "input ip:" ip
echo "IPADDR=$ip" >> $IP_PATH
echo "NETAMSK=255.255.255.0" >> $IP_PATH
echo "GATEWAY=192.168.50.1" >> $IP_PATH
echo "DNS1=223.5.5.5" >> $IP_PATH
sed -i 's/BOOTPROTO=dhcp/BOOTPROTO=static/g' /etc/sysconfig/network-scripts/ifcfg-ens33
sed -i 's/ONBOOT=no/ONBOOT=yes/g' /etc/sysconfig/network-scripts/ifcfg-ens33
systemctl restart network
echo "ip done"

#check hostname
read -p "input hostname:" name
echo "$name" > /etc/hostname
echo "hostname done"

#check hosts
echo "$ip	$name.lionelmessi.vip	$name" >> /etc/hosts
echo "hosts done"

#check yumtools
yum install wget -y
wget -O /etc/yum.repos.d/Centos-7ali.repo https://mirrors.aliyun.com/repo/Centos-7.repo
yum clean all
yum makecache
yum install vim bash* net-tools -y
echo "yumtools done"
